# About

MDX is based on the [original `.mdx` proposal][idea] by Guillermo Rauch
([@rauchg][rauchg]).  It’s syntax is defined by an official [specification][].
The source code for MDX is available on [GitHub][] and is [MIT licensed][license].

The project is governed by the [unified collective][governance].

### Design

[Logo designs][design] were created by [Evil Rabbit][]) of [ZEIT][] and are also
available on [GitHub][design].

### Authors

*   [John Otander][john] ([@4lpine][4lpine]) – [Compositor][] + [Clearbit][]
*   [Tim Neutkens][tim] ([@timneutkens][timneutkens]) – [ZEIT][]
*   [Guillermo Rauch][guillermo] ([@rauchg][rauchg]) – [ZEIT][]
*   [Brent Jackson][brent] ([@jxnblk][jxnblk]) – [Compositor][]

## Related

The following projects, languages, and articles helped to shape MDX either in
implementation or inspiration.

Is your work missing?
If you have related work or prior art we’ve failed to reference, please open a
PR!

### Syntax

These projects define the syntax which MDX blends together (MD and JSX).

*   [Markdown](https://daringfireball.net/projects/markdown/syntax)
*   [JSX](https://reactjs.org/docs/introducing-jsx.html)
*   [React](https://reactjs.org/)

### Parsing and implementation

*   [remark](https://remark.js.org)
*   [unified](https://unified.js.org)
*   [babel](https://babeljs.io)

### Libraries

*   [MDXC](https://github.com/jamesknelson/mdxc)
*   [Markdown Component Loader](https://github.com/ticky/markdown-component-loader)
*   [markdown-in-js](https://github.com/threepointone/markdown-in-js)
*   [remark-jsx](https://github.com/fazouane-marouane/remark-jsx)
*   [remark-react](https://github.com/mapbox/remark-react)

### Other

*   [IA Markdown Content Blocks](https://github.com/iainc/Markdown-Content-Blocks)
*   [Idyll: Markup language for interactive documents](https://idyll-lang.org)

[github]: https://github.com/mdx-js/mdx

[license]: https://github.com/mdx-js/mdx/blob/master/license

[specification]: https://github.com/mdx-js/specification

[governance]: https://github.com/unifiedjs/governance

[design]: https://github.com/mdx-js/design

[idea]: https://spectrum.chat/thread/1021be59-2738-4511-aceb-c66921050b9a

[john]: https://johno.com

[tim]: https://github.com/timneutkens

[guillermo]: https://rauchg.com

[brent]: https://jxnblk.com

[4lpine]: https://twitter.com/4lpine

[rauchg]: https://twitter.com/rauchg

[timneutkens]: https://twitter.com/timneutkens

[jxnblk]: https://twitter.com/jxnblk

[evil rabbit]: https://twitter.com/evilrabbit_

[compositor]: https://compositor.io

[zeit]: https://zeit.co

[clearbit]: https://clearbit.com
